Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002758 [JEDI VCL] 00 JVCL Components major always 2005-03-16 02:01 2005-04-12 02:36
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002758: Memory leaks in MRUList
Description I tried it on JVCL example with MemCheck, I don't know if it's Microsoft DLL of jvcl issue.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
parent of 0002887resolvedobones GPF in TJvMRUList 

-  Notes
(0006719)
user72
2005-03-16 14:23

MemCheck is well-known for reporting false memory leaks. Besides, without more info, there is little we can do or say about this report.
(0006720)
anonymous (viewer)
2005-03-16 23:54

try to compile JvMRUList with your memleak monitor and in application add any position, which will fire enumitems procedure, leaks will appear after closing apps
ps. Which free memory leak monitor I can use instead of memcheck, can you give me any link, what tool jedi team is using ?
(0006729)
anonymous (viewer)
2005-03-18 05:23

is it possible to get some sample code that causes this issue?
(0006914)
obones (administrator)
2005-04-12 02:36

There was indeed a memory leak in InternalGetItem, the memory allocated by ReallocMem was never freed.
This is now fixed in CVS.

- Issue History
Date Modified Username Field Change
2005-03-16 02:01 anonymous New Issue
2005-03-16 14:23 user72 Note Added: 0006719
2005-03-16 14:23 user72 Status new => feedback
2005-03-16 23:54 anonymous Note Added: 0006720
2005-03-18 05:23 anonymous Note Added: 0006729
2005-04-12 02:36 obones Status feedback => resolved
2005-04-12 02:36 obones Resolution open => fixed
2005-04-12 02:36 obones Assigned To => obones
2005-04-12 02:36 obones Note Added: 0006914
2005-04-18 01:13 schuettecarsten Relationship added parent of 0002887


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker